Package Details: telegram-purple-git 1.4.3.a103df3-1

Git Clone URL: https://aur.archlinux.org/telegram-purple-git.git (read-only)
Package Base: telegram-purple-git
Description: Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple based messengers.
Upstream URL: https://github.com/majn/telegram-purple
Keywords: finch pidgin protocol purple telegram
Licenses: GPL
Conflicts: telegram-purple
Provides: telegram-purple
Submitter: franciscod
Maintainer: farwayer
Last Packager: farwayer
Votes: 46
Popularity: 0.005321
First Submitted: 2014-10-27 18:59
Last Updated: 2019-10-11 15:35

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

franciscod commented on 2015-02-04 03:19

man, at least update the PKGBUILD so it doesn't show my name...

# Maintainer: Francisco Demartino <demartino.francisco@gmail.com>

pkgname=telegram-purple
pkgver=0.6
pkgrel=2
pkgdesc="Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple based messengers."
arch=('i686' 'x86_64')
url="https://github.com/majn/telegram-purple"
license=("GPL")
makedepends=("git")
depends=('glib2' 'openssl' 'libpurple' 'zlib')
source=("git+https://github.com/majn/telegram-purple#tag=v${pkgver}"
"0001-Bugfix-always-respect-DESTDIR-in-Makefile.patch")
sha512sums=('SKIP'
'82c137913b121c615e172d105df1ca76dcbc3834f07cad7337e08fb2b73e164baa565c6e91ab603769aed87efec01c4901c2f1b8a534a19f2f72cd3487cff269')

prepare() {
cd "${srcdir}/${pkgname}"
git submodule update --init --recursive
patch -p1 < "${srcdir}/0001-Bugfix-always-respect-DESTDIR-in-Makefile.patch"
}

package() {
cd "${srcdir}/${pkgname}"

./configure
make DESTDIR="$pkgdir/"
make DESTDIR="$pkgdir/" install
}

franciscod commented on 2015-02-04 03:18

dupe of this one? https://aur.archlinux.org/packages/telegram-purple-git/

franciscod commented on 2015-02-04 02:07

Fixed! Thanks The_Loko :D

https://github.com/franciscod/aur-franciscod/commit/01abcc93061dc5efa7ddd20b8f803ccaa17035be

franciscod commented on 2015-02-04 01:53

Can reproduce. It's due to this change:

https://github.com/majn/telegram-purple/commit/2ec44834fc812b80dce9a0e08b49b7b75d436e92

Fixing!

franciscod commented on 2015-02-04 01:47

I never got the error you mention:

install: cannot create regular file «/home/julio/telegram-purple-git/pkg/telegram-purple-git//usr/lib/purple-2/telegram-purple.so»: File or directory not found

I'll reinstall the package, maybe an upstream change makes it happen now.

franciscod commented on 2015-02-04 01:28

Hmm...

% pacman -Qo /usr/lib/purple-2
/usr/lib/purple-2/ is owned by libpurple 2.10.11-1
/usr/lib/purple-2/ is owned by pidgin-libnotify 0.14-8
/usr/lib/purple-2/ is owned by telegram-purple-git v0.5.r60.g87fad25-1

The_Loko commented on 2015-02-03 13:11

I'm getting this:
...
mkdir -p /home/julio/telegram-purple-git/pkg/telegram-purple-git//etc/telegram-purple
install bin/telegram-purple.so /home/julio/telegram-purple-git/pkg/telegram-purple-git//usr/lib/purple-2/telegram-purple.so
install: cannot create regular file «/home/julio/telegram-purple-git/pkg/telegram-purple-git//usr/lib/purple-2/telegram-purple.so»: File or directory not found

It seems that it doesn't create the /usr/lib/purple-2/ folder.

vinipsmaker commented on 2015-01-24 04:17

@BluePeril:
Thanks for noticing it. I got the base PKGBUILD template from the git version: https://aur.archlinux.org/packages/telegram-purple-git/

BluePeril commented on 2015-01-23 19:09

Could you please change arch=("any") to arch=('i686' 'x86_64').
'any' should only be used for platform independent packages

franciscod commented on 2015-01-16 17:46

Somebody pointed out that there's a 0.6 release, however this package kept saying it was v0.5.

Fixed here: https://github.com/franciscod/aur-franciscod/commit/ab23288bc35a46fc17bc47c93275077ac9835714